Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.hipergate.datamodel
Class ColumnList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  com.knowgate.hipergate.datamodel.ColumnList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class ColumnList

extends java.util.ArrayList

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ColumnList()`

Method Summary
`DBColumn` | `getColumn(int index)` Get column by position
`java.lang.String` | `getColumnName(int index)` Get column name by position
`java.lang.String` | `toString(java.lang.String sDelimiter)` Get list of column names

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### ColumnList

    public ColumnList()

Method Detail

### getColumn

    public DBColumn getColumn(int index)
                       throws java.lang.ArrayIndexOutOfBoundsException,
                              java.lang.ClassCastException

  Get column by position

  Parameters:
    `index` - int [0..size()-1]
  Returns:
    DBColumn
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.ClassCastException`

### getColumnName

    public java.lang.String getColumnName(int index)
                                   throws java.lang.ArrayIndexOutOfBoundsException,
                                          java.lang.ClassCastException,
                                          java.lang.NullPointerException

  Get column name by position

  Parameters:
    `index` - int [0..size()-1]
  Returns:
    DBColumn
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`
    `java.lang.ClassCastException`
    `java.lang.NullPointerException`

### toString

    public java.lang.String toString(java.lang.String sDelimiter)

  Get list of column names

  Parameters:
    `sDelimiter` - String
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD